今天在阿里云买了独立主机,而且成功的上传了最新版本的wordpress。但是在链接数据库的时候,弹出了500错误,根据阿里云官网解释,尝试了第四种方法,把PHP版本调成了5.5无果。开始尝试第三种办法。可能是wordpress版本很新的缘故,./wp-includes/class-http.php的291行并非这里给出的内容,而且整个文档都没有这一行代码。选取其中一部分为搜索关键词之后,在第512行搜到了下面的代码:

$request_order = apply_filters( ‘http_api_transports’, $transports, $args, $url );

按照阿里云的方法,把这一行替换,问题解决。

$request_order = apply_filters( ‘http_api_transports’, array( ‘streams’ ), $args, $url );

发表回复

您的电子邮箱地址不会被公开。

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据